summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authormbeierl <mark.beierl@dell.com>2018-04-05 12:31:39 -0400
committermbeierl <mark.beierl@dell.com>2018-04-05 12:31:39 -0400
commit6d64efd6d50b728dc03ca465f45e15cbd79ce92a (patch)
tree296d81f6cf4b3b9ea0bdc5f70994f4b74331d384 /ci
parenta1efb6bde04a0c1d993b40789b8f6f5cc1645734 (diff)
Fixing daily job
Use Ubuntu 16.04 instead as it is LTS and not subject to change Enhance error reporting on stack creation failure Change-Id: Ie187ae44ce66564da9779733a418fc8bb4e1c320 JIRA: STORPERF-240 Signed-off-by: mbeierl <mark.beierl@dell.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/create_glance_image.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/ci/create_glance_image.sh b/ci/create_glance_image.sh
index 9181a05..bb2a869 100755
--- a/ci/create_glance_image.sh
+++ b/ci/create_glance_image.sh
@@ -13,7 +13,7 @@ mkdir -p job
ARCH="${ARCH:-$(uname -m)}"
-IMAGE_NAME="Ubuntu 17.04 ${ARCH}"
+IMAGE_NAME="Ubuntu 16.04 ${ARCH}"
echo "Checking for ${IMAGE_NAME} in Glance"
@@ -24,14 +24,14 @@ then
case "${ARCH}" in
aarch64)
- FILE=ubuntu-17.04-server-cloudimg-arm64.img
+ FILE=ubuntu-16.04-server-cloudimg-arm64-disk1.img
PROPERTIES="--property hw_firmware_type=uefi --property hw_video_model=vga"
;;
armhf)
- FILE=ubuntu-17.04-server-cloudimg-armhf.img
+ FILE=ubuntu-16.04-server-cloudimg-armhf-disk1.img
;;
x86_64)
- FILE=ubuntu-17.04-server-cloudimg-amd64.img
+ FILE=ubuntu-16.04-server-cloudimg-amd64-disk1.img
;;
*)
echo "Unsupported architecture: ${ARCH}"
@@ -39,7 +39,12 @@ then
;;
esac
- wget --continue -q "https://cloud-images.ubuntu.com/releases/17.04/release/${FILE}"
+ echo wget --continue -q "https://cloud-images.ubuntu.com/releases/16.04/release/${FILE}"
+ wget --continue -q "https://cloud-images.ubuntu.com/releases/16.04/release/${FILE}"
+ if [ ! -e "${FILE}" ] ; then
+ echo https://cloud-images.ubuntu.com/releases/16.04/release/${FILE} not found
+ exit 1
+ fi
openstack image create "${IMAGE_NAME}" --disk-format qcow2 --public \
${PROPERTIES} \
--container-format bare --file "${FILE}"